For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deactivate WordPress plugin

Deactivate an installed plugin on a WordPress installation.

Deactivate WordPress plugin

post

Deactivate an installed plugin on a WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the deactivation job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
pluginstring · min: 1 · max: 255Required

Slug of the installed plugin to deactivate.

Example: akismet
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/deactivate
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/deactivate HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "plugin": "akismet"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?